<div class="container">
  <img style="margin-top: 5%;" *ngIf="user.teacher" [src]="user.teacher.picture" >
  <form id="form" [formGroup]="updateForm" (ngSubmit)="onSubmit()">
      <label> Ime </label><br>
      <input type="text" class="input-text" formControlName="first_name" [ngClass]="{ 'is-invalid': submitted && getCtrls.first_name.errors }" />
      <div *ngIf="submitted && getCtrls.first_name.errors" class="invalid-feedback">
        <div class="error" *ngIf="getCtrls.first_name.errors.required">Ime nije validno</div>
      </div>
      <br>
      <label> Prezime </label><br>
      <input type="text" class="input-text" formControlName="last_name" [ngClass]="{ 'is-invalid': submitted && getCtrls.last_name.errors }" />
      <div *ngIf="submitted && getCtrls.last_name.errors" class="invalid-feedback">
        <div class="error" *ngIf="getCtrls.last_name.errors.required">Nevalidno prezime</div>
      </div>
      <br>
      <label> E-mail </label><br>
      <input type="email" name="email" id="email-login-input" class="input-text" formControlName="email"  [ngClass]="{ 'is-invalid': submitted && getCtrls.email.errors }" />
      <div *ngIf="submitted && getCtrls.email.errors" class="invalid-feedback">
        <div class="error" *ngIf="getCtrls.email.errors.required">Unesite ispravan email</div>
      </div>
      <br>
      <label> Telefon </label><br>
      <input type="tel" name="phone" id="phone-login-input" class="input-text" formControlName="phone"  [ngClass]="{ 'is-invalid': submitted && getCtrls.email.errors }" />
      <div *ngIf="submitted && getCtrls.email.errors" class="invalid-feedback">
        <div class="error" *ngIf="getCtrls.email.errors.required">Unesite ispravan broj telefona</div>
      </div>
      <br>      
      <label> Lozinka </label><br>
      <input type="password" class="input-text" formControlName="password" [ngClass]="{ 'is-invalid': submitted && getCtrls.password.errors }" />
      <div *ngIf="submitted && getCtrls.password.errors" class="invalid-feedback">
        <div class="error" *ngIf="getCtrls.password.errors.required">Nedozvoljena lozinka</div>
      </div>
      <br>
      <label> Potvrda lozinke </label><br>
      <input type="password" class="input-text" formControlName="password" [ngClass]="{ 'is-invalid': submitted && getCtrls.password.errors }" />
      <div *ngIf="submitted && getCtrls.password != getCtrls.password" class="invalid-feedback">
        <div class="error" *ngIf="getCtrls.password.errors.required">Lozinke se ne poklapaju</div>
      </div>    
      <br><br>      
      <div *ngIf="user.teacher">
          <!-- Add teacher options and picture upload -->
          <label>Kvalifikacija</label><br>
          <input type="text" formControlName="qualification"  [ngClass]="{ 'is-invalid': submitted && getCtrls.email.errors }" /><br>
          <label>Grad</label><br>
          <input type="text" formControlName="city"  [ngClass]="{ 'is-invalid': submitted && getCtrls.email.errors }" /><br>
          <label for="img">Slika</label><br>
          <input type="file" name="img" id="input-img" [ngClass]="{ 'is-invalid': submitted && getCtrls.password.errors }">
      </div><br>
      <div class="btn">
        <button mat-raised-button type="submit" id="submit-btn" [disabled]="loading">Potvrdi
            <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
          </button>        
        <button mat-button type="reset" id="reset-btn">Reset
          <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
        </button>
      </div>
  </form>

  <p *ngIf="showMsg" id="msg">{{msg}}</p>
</div>